From 23f85118f5bae462d0f1c1776dcc17650295b17c Mon Sep 17 00:00:00 2001
From: Nico Schottelius <nico@bento.schottelius.org>
Date: Wed, 12 Feb 2014 16:42:02 +0100
Subject: [PATCH] add a hint about unsupported os

Signed-off-by: Nico Schottelius <nico@bento.schottelius.org>
---
 cdist/conf/type/__locale/man.text | 4 ++--
 cdist/conf/type/__locale/manifest | 7 ++++++-
 2 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/cdist/conf/type/__locale/man.text b/cdist/conf/type/__locale/man.text
index f76c2059..5ccd3eab 100644
--- a/cdist/conf/type/__locale/man.text
+++ b/cdist/conf/type/__locale/man.text
@@ -16,7 +16,7 @@ This cdist type allows you to setup locales.
 OPTIONAL PARAMETERS
 -------------------
 state::
-   'present' or 'absent'
+   'present' or 'absent', defaults to present
 
 
 EXAMPLES
@@ -43,5 +43,5 @@ SEE ALSO
 
 COPYING
 -------
-Copyright \(C) 2013 Nico Schottelius. Free use of this software is
+Copyright \(C) 2013-2014 Nico Schottelius. Free use of this software is
 granted under the terms of the GNU General Public License version 3 (GPLv3).
diff --git a/cdist/conf/type/__locale/manifest b/cdist/conf/type/__locale/manifest
index 5dd5fd8f..f3d75d59 100644
--- a/cdist/conf/type/__locale/manifest
+++ b/cdist/conf/type/__locale/manifest
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# 2013 Nico Schottelius (nico-cdist at schottelius.org)
+# 2013-2014 Nico Schottelius (nico-cdist at schottelius.org)
 #
 # This file is part of cdist.
 #
@@ -29,4 +29,9 @@ case "$os" in
         # Debian needs a seperate package
         __package locales --state present
     ;;
+    *)
+        echo "Sorry, do not know how to handle os: $os" >&2
+        echo "Please edit the type ${__type##*/} to fix this." >&2
+        exit 1
+    ;;
 esac